import { DefaultOptions } from "./default";
import { Tap } from "@iotize/device-client.js/device/iotize-device";
import { IotizeConfigModel } from "@iotize/device-config.js/model/iotize-config-model";
import { ApiExplorer } from "@iotize/device-admin.js";
export declare class DeviceOptions extends DefaultOptions {
    device: string;
    config?: string;
    spec?: string;
    credentials?: string;
    secure: boolean;
    getDevice(connect?: boolean, loadConfigIfExists?: boolean, adminRequired?: boolean): Promise<Tap>;
    getConfigModel(): IotizeConfigModel;
    getApiExplorer(): ApiExplorer | undefined;
}
