"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MissingConfigKeyError extends Error {
    constructor(key) {
        super(`Missing configuration key: "${key}". Run command 'iode config --set ${key}=yourvalye' to set configuration key value`);
    }
}
exports.MissingConfigKeyError = MissingConfigKeyError;
//# sourceMappingURL=missing-config-key-error.js.map