"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExecTime {
    constructor() {
    }
    start() {
        this.last = process.hrtime();
    }
    getTime() {
        if (!this.last) {
            throw new Error(`Exec time not started yet`);
        }
        var precision = 6; // 3 decimal places
        let ms = process.hrtime(this.last)[1] / 1000000; // divide by a million to get nano to milli
        let totalMs = (process.hrtime(this.last)[0] * 1000) + parseInt(ms.toFixed(precision));
        // global.output.message(process.hrtime(this.last)[0] + " s, " + elapsed.toFixed(precision) + " ms - "); // print message + time
        return totalMs;
    }
}
exports.ExecTime = ExecTime;
//# sourceMappingURL=exec-time.js.map