import { Command } from 'clime';
import { DeviceOptions } from '../../../options/device';
export declare enum FirmwareUpdateProviderType {
    s3 = "s3",
    server = "server"
}
export declare class TapFirmwareUpdateOptions extends DeviceOptions {
    version: string;
    force: boolean;
    chunkSize?: number;
    factoryReset: boolean;
    firmwareUpdateProvider: FirmwareUpdateProviderType;
}
export default class extends Command {
    execute(options: TapFirmwareUpdateOptions): Promise<any>;
    private _onUpdateSuccessful;
}
