import { Command } from 'clime';
import { Client } from '@iotize/device-client.js';
import { CommandBuilder } from '@iotize/shell-grammar.js';
import { IoTizeDevice } from "@iotize/device-client.js/device";
import { DeviceOptions } from '../../options/device';
export declare class MyOptions extends DeviceOptions {
    command?: string;
}
export default class extends Command {
    protected client: Client.Api.IoTizeClient;
    protected device: IoTizeDevice;
    protected commandBuilder: CommandBuilder;
    execute(options: MyOptions): Promise<void>;
    runInteractiveShell(): Promise<boolean>;
    waitForCommand(): Promise<boolean>;
    interpretCommand(commandString: string): Promise<void>;
    finish(): Promise<void>;
}
