"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const clime_1 = require("clime");
class HexStringValidator {
    validate(value, context) {
        if (value.match(HexStringValidator.regex) == null) {
            throw new clime_1.ExpectedError(`"${value}" is not a valid hexadecimal string`);
        }
    }
}
HexStringValidator.regex = /^(0x)?[0-9A-Fa-f]+$/;
exports.HexStringValidator = HexStringValidator;
//# sourceMappingURL=hex-string-validator.js.map