import { Container } from "inversify";
import { ScriptRunner } from "@iotize/testing-grammar.js";
import { Tap } from "@iotize/device-client.js/device";
export declare type NobleType = any;
export declare type ScriptRunnerProvider = (device: Tap) => ScriptRunner;
export declare type NobleProvider = () => Promise<NobleType>;
export declare type TapGatewayProvider = (type: string, device: Tap, options?: any) => Promise<TapGateway>;
declare const container: Container;
export interface TapGateway {
    monitor(options?: any): Promise<any>;
}
export { container };
