export declare class ConfigFile<T> {
    protected _filepath: string;
    protected template?: any;
    protected _data: T | undefined;
    protected _isLoaded: boolean;
    constructor(_filepath: string, template?: any);
    toJson(): T | undefined;
    all(): T;
    get(configName?: string, defaultValue?: any): T | any;
    delete(name: string, save?: boolean): any | undefined;
    set(configName: string, value: any, save?: boolean): this;
    filepath(): string;
    exists(): boolean;
    touch(): this;
    save(): this;
    loadIfRequired(): void;
    load(): this;
    static writeFile(filename: string, content: string): void;
    static ensureDirectoryExistence(filePath: string): void;
}
