import { ConfigFile } from './config-file';
export interface ConfigProviderOptions {
    basePath: string;
}
export declare class ConfigProvider<ConfigFileType> {
    options: ConfigProviderOptions;
    _profileConfig: ConfigFile<ConfigFileType> | undefined;
    _profileName: string | undefined;
    _template: ConfigFileType | undefined;
    constructor(options: ConfigProviderOptions);
    template: ConfigFileType | undefined;
    hasProfile(): boolean;
    config(): ConfigFile<ConfigFileType>;
    getProfileName(): string | undefined;
    setProfile(profile: string): this;
    _getProfileDataFilename(profile?: string): string;
}
