import { ServiceContext } from "typescript-rest";
export declare class FirmwareUpdateService {
    context: ServiceContext;
    firmwareUpdateProviderApi: any;
    constructor();
    getInfo(data?: any): Promise<{
        "serialNumber": string | undefined;
        "firmwareVersion": string | undefined;
        "singlePacketStore": any;
    }>;
    update(targetVersion: string): Promise<import("../../../../../node_modules/@iotize/device-client.js/device/types").SinglePacketProgress | {
        message: string;
    }>;
    apply(crc: number): Promise<void>;
}
