"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const device_1 = require("@iotize/device-client.js/device");
const device_com_mock_js_1 = require("@iotize/device-com-mock.js");
const fs_1 = require("fs");
let file = JSON.parse(fs_1.readFileSync("F:/iotize-projects/device-api.js/packages/iotize-device-cli.node/test/res/device-snapshot/9D.json").toString());
let protocol = device_com_mock_js_1.MockProtocol.createFromRoutes(file);
let mockDevice = device_1.IoTizeDevice.fromProtocol(protocol);
class DeviceManager {
    static get(deviceId) {
        if (!(deviceId in DeviceManager.devices)) {
            throw new Error(`Device with id ${deviceId} does not exist`);
        }
        return DeviceManager.devices[deviceId];
    }
}
DeviceManager.devices = {
    "mock": mockDevice
};
exports.DeviceManager = DeviceManager;
//# sourceMappingURL=device-manager.js.map