export interface Validator {
    validate(input: any): boolean;
}
export declare type ValidatorFct = ((input: any) => boolean);
export declare type ValidatorType = ValidatorFct | Validator;
export declare class Input {
    constructor();
    confirm(message?: string, defaultValue?: string): boolean;
    read(question: string): any;
    readWhileCondition(question: string, defaultValue?: string, validator?: ValidatorType): string;
}
