import { Observable, Subject } from "rxjs";
import { ReturnCode, MicroControllerDeveloper, InformationState } from "@iotize/mcu-flasher.js";
export declare namespace TapnPassUpdater {
    type ProgressEvent = InformationState;
}
export declare class TapnPassUpdater {
    _progress?: Subject<TapnPassUpdater.ProgressEvent>;
    constructor();
    update(mcuDeveloper: MicroControllerDeveloper, programString: string): Observable<TapnPassUpdater.ProgressEvent>;
    private _update;
    _checkErrorCode(name: string, code: ReturnCode): any;
}
