"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ConsoleHelper {
    static level(level) {
        switch (level) {
            case 'none':
                console.error = (...args) => { };
            case 'error':
                console.warn = (...args) => { };
            case 'warn':
                console.info = (...args) => { };
            case 'info':
                console.log = (...args) => { };
                console.debug = (...args) => { };
            case 'debug':
            default:
                break;
        }
    }
}
exports.ConsoleHelper = ConsoleHelper;
//# sourceMappingURL=console-helper.js.map