"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const target_variable_1 = require("@iotize/device-client.js/device/target-variable");
const impl_1 = require("@iotize/device-client.js/client/impl");
class DeviceConfigHelper {
    static parseConfig() {
        // readFileSync();
    }
    /**
     * Create VariableManager from a IoTizeConfigModel
     */
    static createManager(device, model) {
        let manager = new target_variable_1.VariableManager(device);
        let variables = {};
        let variable;
        for (variable of model.variables()) {
            let varId = parseInt(variable.id());
            device.variables.add(variable.name(), {
                id: parseInt(variable.id()),
                converter: impl_1.NumberConverter.uint32Instance(true) // TODO
            });
            // variables[varId] = {
            //     identifier: varId,
            //     //name: variable.name(),
            //     // address: 0,
            //     variableId: varId,
            //     variableService: null,
            //     converter: NumberConverter.uint16Instance(true), // TODO 
            //     // size: variable.valueQuantity(),
            //     // wordSize: ((variable.valueSize() - 1) * 8) as any
            //     //unit: variable.valueSize() - 1,
            //     //quantity: variable.valueQuantity(),
            //     //float: variable.type() === VariableDataTypes.float
            // }
        }
        manager._variables = variables;
        return manager;
    }
}
exports.DeviceConfigHelper = DeviceConfigHelper;
//# sourceMappingURL=device-config-helper.js.map