import { ComProtocol } from "@iotize/device-client.js/protocol/api";
import { ScanItem } from "./scanner/scan-item";
/**
 * @deprecated
 * Use lib instead
 */
export declare class ProtocolFactory {
    static BLE_SCAN_TIMEOUT: number;
    static fromUrl(url: string): Promise<ComProtocol>;
    /**
     * Try to create protocol from device name
     */
    static fromDeviceName(url: string, scanDuration?: number): Promise<ComProtocol>;
    static fromScanItem(entry: ScanItem<any>): ComProtocol;
    static create(protocolType: string, extraOptions?: any): Promise<ComProtocol>;
    static createMockProtocol(extraOptions: any): Promise<ComProtocol>;
    static createBleProtocol(options?: {
        address: string;
    }): Promise<ComProtocol>;
}
