import { RelayServerOptions } from "@iotize/device-client.js/relay/api";
import { RelayServer } from "@iotize/device-client.js/relay/impl";
import { ComProtocol } from "@iotize/device-client.js/protocol/api";
export declare class RelayServerFactory {
    static fromProtocol(comProtocol: ComProtocol, options?: {
        port: number;
    }): RelayServer;
    static fromType(type: 'socket' | 'websocket', options?: RelayServerOptions): RelayServer;
}
